Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.tarification.builder
Interface RequestBuilder

All Known Implementing Classes:
  RequestBuilderImpl

    public interface RequestBuilder

builds request objects for `be.ehealth.businessconnector.registration.session.RegistrationSession`.
Default impl: `RequestBuilderImpl` Factory : `TarificationRequestBuilderFactory`

Method Summary
`TarificationConsultationRequest` | `buildConsultationRequest(CommonInput commonInput, Routing routing, Blob blob)` builds the request object.
`TarificationConsultationRequest` | `buildConsultationRequest(Routing routing, byte[] content, String uniqueInputReference)` builds the request object.

Method Detail

### buildConsultationRequest

    TarificationConsultationRequest buildConsultationRequest(CommonInput commonInput,
                                                             Routing routing,
                                                             Blob blob)
                                                             throws TechnicalConnectorException

  builds the request object.

  Parameters:
    `commonInput` - commonInput as generated by mycarenet common builder
    `routing` - routing , as generated by mycarenet common builder
    `blob` - a Blob , with type 'text/xml' , contentEncoding 'none' and id (for Xades ). A HashValue must not be provided.
  Returns:
    `RegisterToMycarenetServiceRequest`
  Throws:
    `TechnicalConnectorException`

### buildConsultationRequest

    TarificationConsultationRequest buildConsultationRequest(Routing routing,
                                                             byte[] content,
                                                             String uniqueInputReference)
                                                             throws TechnicalConnectorException

  builds the request object.

  Parameters:
    `routing` - routing , as generated by mycarenet common builder
    `content` - byte array containing the business xml
  Returns:
    `RegisterToMycarenetServiceRequest`
  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSDENTIST 3.14.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.